What is Dirty Cow?
Dirty Cow is the name given to a new linux vulnerability in all versions of the Linux operating system. If left unpatched can allow attackers to gain root access to your server.

What Linux operating system versions are affected?
Centos 6.x
Centos 7.x
Debian
Ubuntu 12.04
Ubuntu 16.04

How do I fix it?
To patch you need to update your Linux kernel to the latest version and reboot the server. Before applying the patch note down your current kernel version with the following command.

$ uname -a
$ uname -mrs

Run the following commands to update your server.

Debian/Ubuntu
$ sudo apt-get update && sudo apt-get upgrade && sudo apt-get dist-upgrade
$ sudo reboot

Centos
$ yum install kernel kernel-devel kernel-firmware kernel-headers
$ reboot

Once you reboot your server ensure it’s running the new kernel by running the following command.
$ uname -a
$ uname -r
$ uname -mrs

Facebook Comments

This site uses Akismet to reduce spam. Learn how your comment data is processed.